Subject: Seeking fresh, dried Amanita phalloides

From: "Molecular Probes, Inc." <[email-masked]>
Date: Wed, 25 Sep 1996 15:59:44 -0700

I am seeking a supply of fresh, dried Amanita phalloides.  These 
mushrooms are a source of phallotoxins, which are used by biomedical 
researchers to study the cytoskeleton.  I am also looking for fresh, 
dried Amanita ocreata - a potential alternate source of the toxins.  In 
order to preserve the integrity of the phallotoxins, it is important 
that the mushrooms are dried immediately after they are picked.

Joshua Stahl, Molecular Probes, Inc
Phone: 541 465 8356
Fax: 541 465 4593
E-mail: [email-masked]